org.codehaus.plexus.component.configurator.converters.basic

## Class AbstractBasicConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter

All Implemented Interfaces:
  ConfigurationConverter

Direct Known Subclasses:
  BooleanConverter, ByteConverter, CharConverter, DateConverter, DoubleConverter, FileConverter, FloatConverter, IntConverter, LongConverter, ShortConverter, StringBufferConverter, StringConverter, UrlConverter

    public abstract class AbstractBasicConverter
    extends AbstractConfigurationConverter

Version:
  $Id: AbstractBasicConverter.java 2634 2005-10-08 06:33:08Z brett $

### Constructor Summary

Constructors
Constructor and Description
`AbstractBasicConverter()`

### Method Summary

Methods
`Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, Class type, Class baseType, ClassLoader classLoader, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`
`protected abstract Object` `fromString(String str)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.configurator.converters.ConfigurationConverter

`canConvert`

### Constructor Detail

#### AbstractBasicConverter

    public AbstractBasicConverter()

### Method Detail

#### fromString

    protected abstract Object fromString(String str)
                                  throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### fromConfiguration

    public Object fromConfiguration(ConverterLookup converterLookup,
                           PlexusConfiguration configuration,
                           Class type,
                           Class baseType,
                           ClassLoader classLoader,
                           ExpressionEvaluator expressionEvaluator,
                           ConfigurationListener listener)
                             throws ComponentConfigurationException

Parameters:
  `converterLookup` - Repository of available converters
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`